package gov.va.med.esr.conversion;

import java.util.Iterator;
import java.util.List;

public class FormTest
{
	private String firstName;
	private String middleName;
	private String lastName;
	private String streetName; 
	private String city;
	private String states[];
	private String birthDate;
	private String age;
	private String updateDate;
	private String zip;
	private String ext;
	private List list;
	private String children[];
	
	public String getFirstName() 
	{
		return firstName;
	}


	public void setFirstName(String firstName) 
	{
		this.firstName = firstName;
	}


	public String getLastName() 
	{
		return lastName;
	}


	public void setLastName(String lastName) 
	{
		this.lastName = lastName;
	}


	public String getMiddleName() 
	{
		return middleName;
	}

	public void setMiddleName(String middleName) 
	{
		this.middleName = middleName;
	}
	
	public String getStreetName()
	{
		return this.streetName;
	}
	
	public void setStreetName(String streetName)
	{
		this.streetName = streetName;
	}
	
	public String getCity()
	{
		return this.city;
	}
	
	public void setCity(String city)
	{
		this.city = city;
	}

	public String[] getStates() 
	{
		return states;
	}

	public void setStates(String[] states) 
	{
		this.states = states;
	}
	
	public String getExt() 
	{
		return ext;
	}

	public void setExt(String ext) 
	{
		this.ext = ext;
	}

	public String getZip() 
	{
		return zip;
	}

	public void setZip(String zip) 
	{
		this.zip = zip;
	}
	
	public String getBirthDate() 
	{
		return birthDate;
	}

	public void setBirthDate(String birthDate) 
	{
		this.birthDate = birthDate;
	}
	
	public String getAge() 
	{
		return age;
	}

	public String getUpdateDate() 
	{
		return updateDate;
	}
	
	public void setUpdateDate(String updateDate) 
	{
		this.updateDate = updateDate;
	}
	
	public void setAge(String age) 
	{
		this.age = age;
	}
	
	public List getList() 
	{
		return list;
	}

	public void setList(List list) 
	{
		this.list = list;
	}
	 
	public String[] getChildren() 
	{
		return children;
	}

	public void setChildren(String[] children) 
	{
		this.children = children;
	}
	
	public String toString() 
	{
		StringBuffer buffer = new StringBuffer();
		buffer.append("firstName = " + firstName + "\n");
		buffer.append("middleName = " + middleName + "\n");
		buffer.append("lastName = " + lastName + "\n");
		buffer.append("streetName = " + streetName + "\n");
		buffer.append("city = " + city + "\n");
		if(states != null)
		{
			buffer.append("States: ");
			for(int i=0; i<states.length; i++)
			{
				buffer.append("states[" + i + "] = " + states[i] + "\n");
			}
		}
		buffer.append("zip = " + zip + "\n");
		buffer.append("ext = " + ext + "\n");
		buffer.append("birthDate = " + birthDate + "\n");
		buffer.append("age = " + age + "\n");
		buffer.append("updateDate = " + updateDate + "\n");
		buffer.append("list = " + list + "\n");
		if(children != null)
		{
			buffer.append("Children: ");
			for(int i=0; i<children.length; i++)
			{
				buffer.append("Children[" + i + "] = " + children[i] + "\n");
			}
		}
		return buffer.toString();
	}
}
